Package org.apache.catalina.util

## Class RequestUtil

- java.lang.Object
- - org.apache.catalina.util.RequestUtil

-     public final class RequestUtil
      extends java.lang.Object

  General purpose request parsing and encoding utility methods.
  Author:
    Craig R. McClanahan, Tim Tye

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RequestUtil()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.lang.String` | `filter​(java.lang.String message)` | Deprecated. This method will be removed in Tomcat 9

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RequestUtil

          public RequestUtil()

  - ### Method Detail

    - #### filter

          @Deprecated
          public static java.lang.String filter​(java.lang.String message)

      Deprecated.
      This method will be removed in Tomcat 9
      Filter the specified message string for characters that are sensitive in HTML. This avoids potential attacks caused by including JavaScript codes in the request URL that is often reported in error messages.
      Parameters:
        `message` - The message string to be filtered
      Returns:
        the filtered message